# Renku MLS (machine learning schema) plug-in

## Helping you benchmark

If you have just got your feet wet with machine learning, you will soon realise
that there are a myriad of techniques, models and metrics out there. Nowadays,
many popular machine learning packages out there, for example `scikit-learn`
or `keras` have user-friendly interfaces in Python (or other languages).

When you need to test out several models and metrics at the same time, code
repetition and unnecessary verbosity sometimes creeps in to your projects.

The Renku MLS plug-in is designed to help you benchmark your machine learning
models easier, all whilst interfacing with the classic Renku command-line.

At present, the plug-in is compatible with `keras`, `scikit-learn` and `XGBoost`
with classification tasks and the following metrics: `accuracy_score`, 
`roc_auc_score` and `f1_score`.

## About the project

The dataset used in this project contains numeric data with the target variable
the `label` column. The `src/train.py` file is a training script for the data
and it uses command-line arguments to avoid code repetition. The `export()`
function exposes the model to the plug-in.

The `notebooks/renku-runs.ipynb` shows the example tasks run in this sample 
project.
